Subject: Re: [Bitcoin-development] Floating fees and SPV clients

From: kjj <[email-masked]>
Date: Tue, 03 Dec 2013 23:50:27 -0600

After reading all 99 messages in this thread, I think allowfee is just 
about perfect.

It effectively lets merchants to give an allowance against the purchase 
price for network fees, if they choose.  It is still up to the sender 
(and/or the sender's software) to get the fees right.  Sometimes the 
sender will need to pay more fees than allowed, and sometimes the sender 
will need to pay less.

We can't solve the fee problem, in general.  I'm not sure that we can 
even define it properly.  But this is something that we can do, that 
will be useful at least occasionally, and that will cause no harm the 
rest of the time.

P.S.  Clever senders can use this to defrag their wallets.  Who wants to 
write the patch for that?

Gavin Andresen wrote:
> On Tue, Dec 3, 2013 at 12:44 AM, Mike Hearn <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     PPv1 doesn't have any notion of fee unfortunately. I suppose it
>     could be added easily, but we also need to launch the existing
>     feature set.
>
>
> Lets bang out a merchant-pays-fee extension.
>
> How about:
>
> SPEC:
>
>     optional uint64 allowfee    tag number=1000
>
> Allow up to allowfee satoshis to be deducted from the amount paid to 
> be used to pay Bitcoin network transaction fees. A wallet 
> implementation must not reduce the amount paid for fees more than 
> allowfee, and transaction fees must be equal to or greater than the 
> amount reduced.
>
> :ENDSPEC
>
> Rationale: we don't want wallet software giving users discounts-- 
> sending transactions that are amount-allowfee without paying any fee. 
>  We also want to allow users to pay MORE in fees, if they need to 
> (fragmented wallet, maybe, or big CoinJoin transaction) or decide to.
>
>
> PS: I think there was also consensus that the BIP72  request=...   
> should be shortened to just r=... (save 6 chars in QR codes).  Unless 
> somebody objects, I'll change the BIP and the reference implementation 
> code to make it so...
>
> -- 
> --
> Gavin Andresen
>
>
>
> ------------------------------------------------------------------------------
> Rapidly troubleshoot problems before they affect your business. Most IT
> organizations don't have a clear picture of how application performance
> affects their revenue. With AppDynamics, you get 100% visibility into your
> Java,.NET, & PHP application. Start your 15-day FREE TRIAL of AppDynamics Pro!
> http://pubads.g.doubleclick.net/gampad/clk?id=84349351&iu=/4140/ostg.clktrk
>
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development